# Tomcat
server:
  port: 18080
  servlet:
    context-path: basfs
# Spring
spring:
  main:
    allow-bean-definition-overriding: true
  application:
    # 应用名称
    name: securityControl-gateway
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        username: nacos
        password: Jjsp@nacos2023
        # 服务注册地址
        server-addr: 127.0.0.1:8848
    #    server-addr: 10.138.225.186:28848
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        #server-addr: 10.145.34.32:8848
        # 共享配置
        shared-configs:
          - vsc-dev.yml
        username: nacos
        password: Jjsp@nacos2023
      #  server-addr: 10.138.132.188:18848
management:
  server:
    port: -1
  endpoint:
    gateway:
      enabled: true
  endpoints:
    web:
      exposure:
        exclude: gateway
endpoints:
  env:
    enable: false

